Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227035 - Review Request: aspectj-1.2.1-3jpp - AspectJ aspect-oriented language extension to Java
Summary: Review Request: aspectj-1.2.1-3jpp - AspectJ aspect-oriented language extensi...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:29 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-13 19:06:49 UTC


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:29:23 UTC
Spec URL: http://people.redhat.com/rafaels/specs/aspectj-1.2.1-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/aspectj-1.2.1-3jpp.src.rpm
Description: AspectJ is a seamless aspect-oriented language
extension to Java(tm). It can be used to cleanly
modularize the crosscutting structure of concerns
such as exception handling, multi-object protocols,
synchronization, performance optimizations, and
resource sharing. When implemented in a
non-aspect-oriented fashion, the code for these concerns
typically becomes spread out across entire programs.
AspectJ controls such code-tangling and makes the
underlying concerns more apparent, making programs
easier to develop and maintain. The project goal
is to support the AspectJ compiler and core tools.

Eclipse Plugins for aspectj.

Installer for aspectj.

Javadoc for aspectj.

Docs for aspectj.

Comment 1 Anthony Green 2007-02-21 00:41:08 UTC
I get the following error when I try to build...

BUILD FAILED
/usr/src/redhat/BUILD/org.aspectj/modules/org.eclipse.jdt.core/build.xml:11:
Unable to find a javac compiler;
com.sun.tools.javac.Main is not on the classpath.
Perhaps JAVA_HOME does not point to the JDK


Comment 2 Jason Tibbitts 2007-07-06 19:23:21 UTC
This also fails to build for me (x86_64, rawhide), due to an unsatisfiable
dependency on java-1.4.2.

It seems there was no comment from the submitter in the 4.5 months since the
previous comment; setting NEEDINFO.

Anthony, this is assigned to you; if you want to review it, could you set
fedora-review to '?', and if not, could you assign it back to
nobody@fedoraproject.org?  (And sorry about the "Andy" thing eariler.)

Comment 3 Jason Tibbitts 2007-07-13 19:06:49 UTC
No response; closing.


Note You need to log in before you can comment on or make changes to this bug.